OpenJPH: ojph::local::frwd_struct Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::local::frwd_struct Struct Reference

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams. More...

## Public Attributes
const ui8 * | data
| pointer to bitstream
ui8 | tmp [48]
| temporary buffer of read data + 16 extra
ui32 | bits
| number of bits stored in tmp
ui32 | unstuff
| 1 if a bit needs to be unstuffed from next byte
int | size
| size of data

## Detailed Description

State structure for reading and unstuffing of forward-growing bitstreams; these are: MagSgn and SPP bitstreams.

Definition at line 590 of file ojph_block_decoder_vsx.cpp.

## Member Data Documentation

## ◆ bits

ui32 ojph::local::frwd_struct::bits

number of bits stored in tmp

Definition at line 593 of file ojph_block_decoder_vsx.cpp.

Referenced by ojph::local::frwd_advance(), ojph::local::frwd_fetch(), ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ data

const ui8 * ojph::local::frwd_struct::data

pointer to bitstream

Definition at line 591 of file ojph_block_decoder_vsx.cpp.

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ size

int ojph::local::frwd_struct::size

size of data

Definition at line 595 of file ojph_block_decoder_vsx.cpp.

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ tmp

ui8 ojph::local::frwd_struct::tmp

temporary buffer of read data + 16 extra

Definition at line 592 of file ojph_block_decoder_vsx.cpp.

Referenced by ojph::local::frwd_advance(), ojph::local::frwd_fetch(), ojph::local::frwd_init(), and ojph::local::frwd_read().

## ◆ unstuff

ui32 ojph::local::frwd_struct::unstuff

1 if a bit needs to be unstuffed from next byte

Definition at line 594 of file ojph_block_decoder_vsx.cpp.

Referenced by ojph::local::frwd_init(), and ojph::local::frwd_read().

The documentation for this struct was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_decoder_vsx.cpp
- /build/openjph/src/OpenJPH/src/core/coding/ojph_block_decoder_wasm.cpp